From bae96087bc9425c2cbc160485a314cc12fe1530d Mon Sep 17 00:00:00 2001
From: Jeff Rizzo <riz@tastylime.net>
Date: Sun, 20 Dec 2015 08:20:48 -0800
Subject: [PATCH 06/18] Update ral(4) microcode to the latest from OpenBSD.

---
 sys/dev/microcode/ral/Makefile    |   2 +-
 sys/dev/microcode/ral/build.c     |   1 +
 sys/dev/microcode/ral/microcode.h | 755 +++++++++++++++++++++++++++++++++++++-
 3 files changed, 753 insertions(+), 5 deletions(-)

diff --git a/sys/dev/microcode/ral/Makefile b/sys/dev/microcode/ral/Makefile
index e44b81df..0ea502c 100644
--- a/sys/dev/microcode/ral/Makefile
+++ b/sys/dev/microcode/ral/Makefile
@@ -2,7 +2,7 @@
 
 NOMAN=	# defined
 
-FILES=	ral-rt2561 ral-rt2561s ral-rt2661 ral-license
+FILES=	ral-rt2561 ral-rt2561s ral-rt2661 ral-rt2860 ral-license
 
 # XXX
 includes:
diff --git a/sys/dev/microcode/ral/build.c b/sys/dev/microcode/ral/build.c
index 045c4a0..ba7c08a 100644
--- a/sys/dev/microcode/ral/build.c
+++ b/sys/dev/microcode/ral/build.c
@@ -54,6 +54,7 @@ main(void)
 	output("ral-rt2561",  rt2561,  sizeof rt2561);
 	output("ral-rt2561s", rt2561s, sizeof rt2561s);
 	output("ral-rt2661",  rt2661,  sizeof rt2661);
+	output("ral-rt2860",  rt2860,  sizeof rt2860);
 
 	return 0;
 }
diff --git a/sys/dev/microcode/ral/microcode.h b/sys/dev/microcode/ral/microcode.h
index be19180..a5e27a3 100644
--- a/sys/dev/microcode/ral/microcode.h
+++ b/sys/dev/microcode/ral/microcode.h
@@ -1,8 +1,7 @@
-/*	$NetBSD: microcode.h,v 1.1 2006/06/04 20:30:17 rpaulo Exp $	*/
-/*	$OpenBSD: microcode.h,v 1.1 2006/01/09 20:03:40 damien Exp $	*/
+/*	$OpenBSD: microcode.h,v 1.7 2010/04/05 14:14:02 damien Exp $	*/
 
 /*-
- * Copyright (c) 2005-2006, Ralink Technology, Corp.
+ * Copyright (c) 2005-2010, Ralink Technology, Corp.
  *	Paul Lin <paul_lin@ralinktech.com.tw>
  *
  * Permission to use, copy, modify, and distribute this software for any
@@ -20,7 +19,7 @@
 
 /*
  * This file contains the loadable 8051 microcodes for the Ralink RT2561,
- * RT2561S and RT2661 chipsets.
+ * RT2561S, RT2661 and RT2860 chipsets.
  */
 
 static const uint8_t rt2561[] = {
